# Created by pyp2rpm-3.3.2
%global pypi_name pynmea2

Name:           python-%{pypi_name}
Version:        1.15.0
Release:        1%{?dist}
Summary:        Python library for the NMEA 0183 protcol

License:        MIT
URL:            https://github.com/Knio/pynmea2
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Apr 07 2020 Jakub Jelen <jjelen@redhat.com> - 1.15.0-1
- Initial package.
